local types = require('luasnip.util.types')

require('luasnip').config.set_config {
    updateevents = 'InsertLeave',
    keep_roots = true,
    link_roots = true,
    link_children = true,
    ext_opts = {
        [types.choiceNode] = {
            active = { virt_text = { { '●', 'LuasnipChoiceNodeActive' } } },
        },
        [types.insertNode] = {
            active = { virt_text = { { '●', 'LuasnipInsertNodeActive' } } },
        },
    },
}

-- Loading snippets from 'friendly-snippets'
require('luasnip.loaders.from_vscode').lazy_load()
