local dap = require('dap')

dap.adapters.mix_task = {
    type = 'executable',
    command = vim.fn.stdpath('data') .. '/lsp/elixirls/scripts/debug_adapter.sh',
}

dap.configurations.elixir = {
    {
        type = 'mix_task',
        name = 'mix test',
        request = 'launch',
        task = 'test',
        taskArgs = { '--trace' },
        startApps = true,
        projectDir = '${workspaceFolder}',
        requireFiles = {
            'test/**/test_helper.exs',
            'test/**/*_test.exs',
        },
    },
    {
        type = 'mix_task',
        name = 'phoenix',
        request = 'launch',
        task = 'phx.server',
        projectDir = '${workspaceFolder}',
    }
}
