return {
    signs = false,
    keywords = {
        FIX = { icon = ' ', color = 'error', alt = { 'FIXME', 'BUG', 'FIXIT', 'ISSUE' } },
        TODO = { icon = ' ', color = 'info' },
        HACK = { icon = ' ', color = 'warning' },
        WARN = { icon = ' ', color = 'warning', alt = { 'WARNING', 'XXX' } },
        PERF = { icon = '󰓅 ', alt = { 'OPTIM', 'PERFORMANCE', 'OPTIMIZE' } },
        NOTE = { icon = ' ', color = 'hint', alt = { 'INFO' } },
    },
    merge_keywords = true,
    gui_style = { fg = 'BOLD', bg = 'NONE' },
    highlight = {
        before = '',
        keyword = 'fg',
        after = '',
        comments_only = true,
        exclude = { 'org' },
    },
    colors = {
        error = { 'DiagnosticError', '@comment.error' },
        warning = { 'DiagnosticWarn', '@comment.warning' },
        info = { 'DiagnosticInfo', '@comment.todo' },
        hint = { 'DiagnosticHint', '@comment.note' },
        default = { 'Normal' },
        test = { 'Identifier' },
    },
    search = {
        command = 'rg',
        args = require('user.config.vars').rg_args,
    },
}
