return {
    { 'mtoohey31/cmp-fish', ft = 'fish' },
    { 'rcarriga/cmp-dap', ft = { 'dap-repl', 'dapui_watches', 'dapui_hover' } },
    {
        'hrsh7th/nvim-cmp',
        event = 'InsertEnter',
        dependencies = {
            'hrsh7th/cmp-buffer',
            'https://codeberg.org/FelipeLema/cmp-async-path',
            'hrsh7th/cmp-nvim-lsp',
            'saadparwaiz1/cmp_luasnip',
            {
                'L3MON4D3/LuaSnip',
                build = 'make install_jsregexp',
                dependencies = 'rafamadriz/friendly-snippets',
                config = function()
                    require('user.plugins.completion.luasnip')
                end,
            },
        },
        config = function()
            require('user.plugins.completion.cmp')
        end,
    },
    {
        'ii14/emmylua-nvim',
        -- we only care about the EmmyLua files (loaded by lua-language-server)
        init = function()
            require('lazy.core.loader').disable_rtp_plugin('emmylua-nvim')
        end,
    },
}
